      INCLUDE 'STDHDR.FOR'
      INTEGER n,  i
      REAL xdata(0: maxr), ydata(0: maxr)
      CHARACTER * 80 title

      n = 20
      DO i = 0, n - 1
       xdata(i) = REAL(i) +1
       ydata(i) = xdata(i) ** 2
      END DO

      CALL InitSEGraphics(-1, 'c:\FOR\LIB\*.FON')

      DO i = 1 , 6
        CALL SetCurrentWindow(i)
        CALL ClearWindow
        CALL BorderCurrentWindow(6)
        CALL SetAxesType(0, 0)
        CALL setxyintercepts(0.0, 0.0)
        CALL SelectColor(7)
        CALL AutoAxes(xdata, ydata, n, 1)
        CALL LinePlotData(xdata, ydata, n, 1, 1)
        CALL SelectColor(15)
        title = 'Y-axis title'
        CALL titleyaxis(title)
        title = 'X-axis title'
        CALL titlexaxis(title)
        title = 'Window Title'
        CALL titlewindow(title)
      END DO

       call CloseSEGraphics

      END
